Subject: bug#20755: Additional information

From: Дарио Ѓорѓевски<[email-masked]>
Date: Wed, 10 Jun 2015 15:44:24 +0200

Hi,

Thanks a lot for getting back to me. I did some more testing, and the results are very odd. Contrary to what I said previously, M-x ispell-buffer does not work either under TeX-mode. There were no problems in *any* other modes I tested. For example,

open a TeX file -> TeX-mode (AUCTeX) gets loaded automatically -> M-x ispell-buffer causes aspell.exe to crash -> unfreeze Emacs using C-g and change to, say, text-mode by running M-x text-mode -> M-x ispell-buffer works fine
open a blank file -> M-x ispell-buffer works fine -> switch to TeX-mode by running M-x TeX-mode -> M-x ispell-buffer fails again
open the *Scratch* buffer -> M-x ispell-buffer works fine -> switch to TeX-mode -> same issue

The story is the same with flyspell-mode and other such commands; aspell.exe also crashes under TeX-mode.

My preferred encoding is set to UTF-8. Line endings seem to make no difference. Running M-x ispell-buffer on "unconventional" buffers, such as R console, dired, etc, works fine too.

There are no error messages in *Messages*, but Windows gives me the following: "An unhandled win32 exception occurred in aspell.exe [3608]."

The issue happens in empty buffers, too. `ispell-cmd-args' and `ispell-extra-args' are both nil.

Any ideas? I'm clueless.